#!/usr/bin/env python2.5
# -*- coding: utf-8 -*-

# copyright: m. dietrich
# license: gpl
__revision = '$Rev: 252 $'

from gobject import MainLoop, threads_init as glib_threads_init
from dbus.glib import init_threads as dbus_threads_init
from syslog import openlog, closelog, LOG_DAEMON, LOG_NDELAY, LOG_PID, LOG_PERROR
from base import log_info, log_debug, config, LOG_ERR, LOG_WARNING, LOG_INFO, LOG_DEBUG, LOG, has_section
from os import environ
from dbus.mainloop.glib import DBusGMainLoop, threads_init
from freesmartphone import *
#if not environ.has_key('DBUS_SESSION_BUS_ADDRESS'):
#	raise Exception('please start the session dbus and export DBUS_SESSION_BUS_ADDRESS.')
openlog( 'pyneod', (LOG_NDELAY
	#|LOG_PERROR
	|LOG_PID), LOG_DAEMON,)
glib_threads_init()
dbus_threads_init()
DBusGMainLoop(set_as_default=True)
mainloop = MainLoop()
daemons = []
bus = InitBus()
if has_section('pwr'):
	try:
		from pypwrd import Power
		daemons.append(Power(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pypwrd', e)
#if has_section('hon'):
#	try:
#		from pyhond import HotOrNot
#		daemons.append(HotOrNot(bus))
#	except Exception, e: LOG(LOG_ERR, __name__, 'pyhond', e)
if has_section('gsm'):
	try:
		from pygsmd import GsmPhone
		daemons.append(GsmPhone(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pygsmd', e)
if has_section('gps'):
	try:
		from pygpsd import GpsLocation
		daemons.append(GpsLocation(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pygpsd', e)
if has_section('ggl'):
	try:
		from pyggld import GoogleLocation
		daemons.append(GoogleLocation(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pyggld', e)
if has_section('ent'):
	try:
		from pyentd import Entry
		daemons.append(Entry(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pyentd', e)
if has_section('llb'):
	try:
		from pyllbd import LocalLocation
		daemons.append(LocalLocation(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pyllbd', e)
if has_section('osm'):
	try:
		from pyosmd import OpenStreetMap
		daemons.append(OpenStreetMap(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pyosmd', e)
if has_section('ppp'):
	try:
		from pypppd import Gprs
		daemons.append(Gprs(bus))
	except Exception, e: LOG(LOG_ERR, __name__, 'pypppd', e)
try:
	mainloop.run()
finally:
	for daemon in daemons:
		del daemon
	closelog()
# vim:tw=0:nowrap
