#!/usr/bin/env python2.5
# -*- coding: latin1 -*-
# (C) M. Lauer <mlauer@vanille-media.de>
# license: gpl
__revision = '$Rev: 2404 $'

import os

D = os.environ.get( "D", "/" )
prefix = os.environ.get( "PREFIX", "usr" )
bindir = D + prefix + "/bin/"
datadir = D + prefix + "/share/pyneod/"
sysconfdir = D + "/etc"
initdir = sysconfdir + "/init.d/"
dbusconfdir = D + "/etc/dbus-1/system.d/"

datafiles = """
pyneod.ini
config.py
gsm_sample.py
pyggld.py
pygpsd.py
pygsmd.py
pyneod.py
pypppd.py 
pypwrd.py
""".split()

initfiles = "pyneod".split()

sysconffiles = "pyneod.ini".split()

dbusconffiles = "pyneod.conf".split()

for i in [ bindir, datadir, initdir, dbusconfdir ]:
    os.system( "install -d %s" % i )

for i in datafiles:
    os.system( "install -m 0755 %s %s" % ( i, datadir ) )

for i in dbusconffiles:
    os.system( "install -m 0644 %s %s" % ( i, dbusconfdir ) )

for i in sysconffiles:
    os.system( "install -m 0644 %s %s" % ( i, sysconfdir ) )

for i in initfiles:
    os.system( "install -m 0755 %s %s" % ( i, initdir ) )
