#!/usr/bin/env python

import ecore
import evas
import edje
from dbus import SystemBus, Interface
from e_dbus import DBusEcoreMainLoop

bus = SystemBus(mainloop=DBusEcoreMainLoop())

def position(content):
        print 'position', content
def satellites(content):
        print 'satellites', content
def accuracy(content):
        print 'accuracy', content
def ign(*data):
        print 'ign', data

gps_obj = bus.get_object('org.mobile.gps', '/org/mobile/gps/RemoteObject')
gps_name = 'org.mobile.gps.RemoteInterface'
for fkt in (position, satellites, accuracy, ):
        gps_obj.connect_to_signal(fkt.__name__, fkt, dbus_interface=gps_name)
gps_interface = Interface(gps_obj, gps_name)
gps_interface.get_position(reply_handler=position, error_handler=ign, )
        
ecore.main_loop_begin()
